DB6.2_VERIFY(1)

NAME
db6.2_verify - Verifies the structure databases

SYNOPSIS
db6.2_verify [-NoqV] [-h home] [-P password] file ...

DESCRIPTION
The db6.2_verify utility verifies the structure of one or more files and the databases they contain.

OPTIONS

-h  Specify a home directory for the database environment; by default, the current working directory is used.

-o  Skip the database checks for btree and duplicate sort order and for hashing.

    If the file being verified contains databases with non-default comparison or hashing configurations, calling the db6.2_verify utility without the -o flag will usually return failure. The -o flag causes db6.2_verify to ignore database sort or hash ordering and allows db6.2_verify to be used on these files. To fully verify these files, verify them explicitly using the DB->verify method, after configuring the correct comparison or hashing functions.

-N  Do not acquire shared region mutexes while running. Other problems, such as potentially fatal errors in Berkeley DB, will be ignored as well. This option is intended only for debugging errors, and should not be used under any other circumstances.

-P  Specify an environment password. Although Berkeley DB utilities overwrite password strings as soon as possible, be aware there may be a window of vulnerability on systems where unprivileged users can see command-line arguments or where utilities are not able to overwrite the memory containing the command-line arguments.

-q  Suppress the printing of any error descriptions, simply exit success or failure.

-V  Write the library version number to the standard output, and exit.

The db6.2_verify utility does not perform any locking, even in Berkeley DB environments that are configured with a locking subsystem. As such, it should only be used on files that are not being modified by another thread of control.

The db6.2_verify utility may be used with a Berkeley DB environment (as described for the -h option, the environment variable DB_HOME, or because the utility was run in a directory containing a Berkeley DB environment). In order to avoid environment corruption when using a Berkeley DB environment, db6.2_verify should always be given the chance to detach from the environment and exit gracefully. To cause db6.2_verify to release all environment resources and exit cleanly, send it an interrupt signal (SIGINT).

The db6.2_verify utility exits 0 on success, and >0 if an error occurs.

ENVIRONMENT

DB_HOME
    If the -h option is not specified and the environment variable DB_HOME is set, it is used as the path of the database home, as described in DB_ENV->open.

AUTHORS
Sleepycat Software, Inc. This manual page was created based on the HTML documentation for db_verify from Sleepycat, by Thijs Kinkhorst <thijs@kinkhorst.com>, for the Debian system (but may be used by others).